<?php
/**
 * Content fields view
 *
 * @package wp-chat-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>

<h4 class="ipcht-field-title mb0 py10">
  <?php _e( 'Info', IPCHT_SLUG ); ?>
</h4>

<?php
//
//Field Text
$this->renderFieldTextarea(array(
	'name'			 => 'online_info',
	'label' 		 => 'Online Info',
	'inputValue' => '',
	'info'		   => 'Set the content info that displaying when chat admin is online.'
));

//
//Field Text
$this->renderFieldTextarea(array(
	'name'			 => 'offline_info',
	'label' 		 => 'Offline Info',
	'inputValue' => '',
	'info'		   => 'Set the content info that displaying when chat admin is offline.'
));
?>

<h4 class="ipcht-field-title mb0 py10">
  <?php _e( 'Message', IPCHT_SLUG ); ?>
</h4>

<?php
//
//Field Text
$this->renderFieldTextarea(array(
	'name'			 => 'offline_message',
	'label' 		 => 'Offline Message',
	'inputValue' => '',
	'info'		   => 'Set the message that displaying when admin is offline .'
));

//
//Field Text
$this->renderFieldTextarea(array(
	'name'			 => 'success_offline_message',
	'label' 		 => 'Success Send Offline Message',
	'inputValue' => '',
	'info'		   => 'Set the message that displaying when successfully sending offline message .'
));

//
//Field Text
$this->renderFieldTextarea(array(
	'name'			 => 'failed_offline_message',
	'label' 		 => 'Failed Send Offline Message',
	'inputValue' => '',
	'info'		   => 'Set the message that displaying when failed sending offline message .'
));

//
//Field Text
$this->renderFieldTextarea(array(
	'name'			 => 'success_register_message',
	'label' 		 => 'Success Register Message',
	'inputValue' => '',
	'info'		   => 'Set the message that displaying when successfully register.'
));

//
//Field Text
$this->renderFieldTextarea(array(
	'name'			 => 'failed_offline_message',
	'label' 		 => 'Failed Register Message',
	'inputValue' => '',
	'info'		   => 'Set the message that displaying when failed register.'
));
?>