<?php
/**
 * Header fields view
 *
 * @package wp-chat-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */

//
//Field Height
$this->renderFieldSize(array(
	'name'			 => 'area_height',
	'label' 		 => 'Height',
	'inputValue' => '320',
	'info'		   => 'Set the height (in px) of the chat area.'
));

//
//Field Bg Color
$this->renderFieldBackground(array(
	'name'			 		=> 'area',
	'label' 		 		=> 'chat area',
	'color_default' => '#f5f5f5'
));

//
//Field Border
$this->renderFieldBorder(array(
	'name'			 		=> 'area',
	'color_default' => '#dddddd',
	'info'		   	  => 'Add border on the chat area.'
));

//
//Field Border radius
$options = array(
  'none' => __( 'None', IPCHT_SLUG ),
  'xs'   => __( 'Extra Small', IPCHT_SLUG ),
  'sm'   => __( 'Small', IPCHT_SLUG ),
  'md'   => __( 'Medium', IPCHT_SLUG ),
  'lg'   => __( 'Large', IPCHT_SLUG )
);
$this->renderFieldSelect(array(
	'name'		  	=> 'area_border_radius',
	'label'  	   	=> 'Border Radius',
	'info'		   	=> 'Add radius on the chat area.',
	'inputValue'  => 'none',
	'inputOptions'  => $options
));


//
//Field Text Color
$this->renderFieldColor(array(
	'name'			 => 'area_text_color',
	'label'  	   => 'Text Color',
	'info'		   => 'Set the color of the text in chat area.',
	'inputValue' => '#333333'
));

//
//Field Font Size
$this->renderFieldSize(array(
	'name'		  	=> 'area_font_size',
	'label'  	   	=> 'Font Size',
	'info'		    => 'Set the font size of the text in chat area.',
	'inputValue'  => '16'
));

//
//Field Font Family
$this->renderFieldFontFamily(array(
	'name'			 => 'area_font_family',
	'label'  	   => 'Font Family',
	'info'		   => 'Set the font type of the text in chat area.'
));
?>