<?php
/**
 * General fields view
 *
 * @package wp-chat-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */

//
//Field Width
$this->renderFieldSize(array(
	'name'			 => 'width',
	'label' 		 => 'Widget Width',
	'inputValue' => '420',
	'info'		   => 'Set the width (in px) of the chat widget'
));

//
//Field Template
$options = array(
  1 => __( 'Template #1', IPCHT_SLUG ),
  2 => __( 'Template #2', IPCHT_SLUG ),
  3 => __( 'Template #3', IPCHT_SLUG ),
  4 => __( 'Template #4', IPCHT_SLUG ),
  5 => __( 'Template #5', IPCHT_SLUG )
);
$this->renderFieldSelect(array(
	'name'					=> 'template',
	'label' 				=> 'Template',
	'info'		  		=> 'Set the template of the chat widget.',
	'inputOptions'	=> $options,
	'inputValue'		=> 'flat'
));

//
//Field Position
$options = array(
  'left'  => __( 'Left', IPCHT_SLUG ),
  'right' => __( 'Right', IPCHT_SLUG )
);
$this->renderFieldSelect(array(
	'name'					=> 'position',
	'label' 				=> 'Position',
	'info'		  		=> 'Set the position of the chat widget.',
	'inputOptions'	=> $options,
	'inputValue'		=> 'right'
));
?>