<?php
/**
 * Widget tab style
 *
 * @package wp-chat-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$config   = $this->widgetConfig;

$width    = $config->getSetting( 'tab_width', 240 );
$height   = $config->getSetting( 'tab_height', 48 );
$bgcolor  = $config->getSetting( 'tab_background_color', '#000000' );
$color    = $config->getSetting( 'tab_text_color', '#ffffff' );
$bowidth  = $config->getSetting( 'tab_border_width' );
$bocolor  = $config->getSetting( 'tab_border_color', '#000000' );

//Font
$fontSize = $config->getSetting( 'tab_font_size', 16 );
$font_opt = $config->getSetting( 'tab_font_family', 'roboto' );
$family   = IPCht_Font::getFamily( $font_opt );
?>

.ipcht-widget-tab .ipcht-button {
  width: <?php echo $width; ?>px;
  height: <?php echo $height; ?>px;
  line-height: <?php echo $height; ?>px;
  background-color: <?php echo $bgcolor; ?>;
  color: <?php echo $color; ?>;
  font-family: <?php echo $family; ?>;
  font-size: <?php echo $fontSize; ?>px;
  <?php
  if ( $bowidth ) {
    echo 'border:' . $bowidth . 'px solid ' . $bocolor . ';';
  }
  ?>
}

<?php
$ecolor   = new phpColor( $bgcolor );
$hbgcolor = $ecolor->darken(10);
$ecolor   = new phpColor( $bocolor );
$hbocolor = $ecolor->darken(10);
?>
.ipcht-widget-tab .ipcht-button:hover {
	background-color: #<?php echo $hbgcolor; ?>;
	border-color: #<?php echo $hbocolor; ?>;
}