(function e(t,n,r){function s(o,u){if(!n[o]){if(!t[o]){var a=typeof require=="function"&&require;if(!u&&a)return a(o,!0);if(i)return i(o,!0);var f=new Error("Cannot find module '"+o+"'");throw f.code="MODULE_NOT_FOUND",f}var l=n[o]={exports:{}};t[o][0].call(l.exports,function(e){var n=t[o][1][e];return s(n?n:e)},l,l.exports,e,t,n,r)}return n[o].exports}var i=typeof require=="function"&&require;for(var o=0;o<r.length;o++)s(r[o]);return s})({1:[function(require,module,exports){
var ui           = require( './../libs/ui.js' );
var formHandler  = require( './../libs/form.js' );
var fademenu     = require( './../libs/fademenu.js' );
var collapse     = require( './../libs/collapse.js' );
var onoff        = require( './../libs/onoff.js' );
var uploader     = require( './../libs/uploader.js' );
var tab          = require( './../libs/tab.js' );
var imgOption    = require( './../libs/image-option.js' );
var manage       = require( './../libs/manage.js' );
var option       = require( './../libs/fancy-option.js' );
var stat         = require( './../libs/stat.js' );
var buttonActive = require( './../libs/button-active.js' );
var selectPreview = require( './../libs/select-preview.js' );

(function($)
{
  "use strict";

  /**
   * Tab menu
   */
  if ( $( '.ipcht-tab' ).length > 0 )
  {
    tab( $( '.ipcht-tab' ), {
      after_click: function( idtab, root ){
        var content = $( '#'+idtab );
        var title   = $( '.ipcht-title-content', content ).clone().removeClass( 'ipcht-hide' );
        $( '.ipcht-tab-title', root ).html( title );
        //
        //Save hide
        if ( content.hasClass( 'ipcht-save-hide' )){
          $( '.ipcht-top-submit, .ipcht-bottom-submit, .ipcht-bottom-action', root ).hide();
        } else {
          $( '.ipcht-top-submit, .ipcht-bottom-submit, .ipcht-bottom-action', root ).show();
        }
      },
      tab_init: function( idtab, root ) {
        var content = $( '#'+idtab ); 
        var title   = $( '.ipcht-title-content', content ).clone().removeClass( 'ipcht-hide' );
        $( '.ipcht-tab-title', root ).html( title );
        //
        //Save hide
        if ( content.hasClass( 'ipcht-save-hide' )){
          $( '.ipcht-top-submit, .ipcht-bottom-submit, .ipcht-bottom-action', root ).hide();
        } else {
          $( '.ipcht-top-submit, .ipcht-bottom-submit, .ipcht-bottom-action', root ).show();
        }
      }
    });
  }

  /**
   * fademenu
   */
  if ( $( '.ipcht-fademenu' ).length > 0 )
  {
    fademenu( $('.ipcht-fademenu' ) );
  }

  /**
   * collapse
   */
  if ( $( '.collapse' ).length > 0 )
  {
    collapse( $('.collapse' ) );
  }

  /**
   * on/off button
   */
  if ( $( '.ipcht-onoff' ).length > 0 ) {
    onoff( $( '.ipcht-onoff' ), {
      func_select: function( button, cont )
      {
        //Content onoff
        var root = cont.parents( '.ipcht-content-onoff' );
        if ( cont.hasClass( 'ipcht-onoff-action' ) && root.length > 0 )
        {
          var value = button.data( 'value' );
          if ( value == true ) {
            $( '.ipcht-content-onoff-main', root ).show();
          } else {
            $( '.ipcht-content-onoff-main', root ).hide();
          }
        }
        //Content target
        if ( cont.hasClass( 'ipcht-onoff-target' ) )
        {
          var target = cont.data( 'target' );
          var value  = button.data( 'value' );
          if ( $(target).length > 0 ) 
          {
            if ( value == true ) {
              $(target).show();
            } else {
              $(target).hide();
            }
          }
        }
      }
    });
  }

  /**
   * Image option
   */
  if ( $( '.ipcht-image-option' ).length > 0 ) {
    imgOption( $( '.ipcht-image-option' ));
  }

  /**
   * Fancy option
   */
  if ( $( '.ipcht-fancy-option' ).length > 0 ) {
    option( $( '.ipcht-fancy-option' ));
  }

  /**
   * Input uploader
   */
  if ( $( '.ipcht-upload-image' ).length > 0 ) {
    uploader( $( '.ipcht-upload-image' ));
  }

  //
  //Color picker
  //
  if ( $('.ipcht-color-picker').length > 0 )
  {
    $('.ipcht-color-picker').each( function() {
      var picker = $(this);
      picker.wpColorPicker({
        change: function(event, ui){
          picker.val( ui.color.toString() );
        }
      });
    });
  }
  /*
   * Date time picker
   */
  if ( $( '.ipcht-date-picker' ).length > 0 )
  {
    $('.ipcht-date-picker').datepicker({
      format: 'yyyy/mm/dd'
    });
  }
  if ( $( '.ipcht-time-picker' ).length > 0 )
  {
    $('.ipcht-time-picker').timepicker({
      minuteStep: 10,
      showInputs: false,
      disableFocus: true,
      showMeridian: false,
      defaultTime: false
    });
  }

  /*
   * Date time picker
   */
  //$( '.ipcht-end-date' ).datetimepicker();

  //
  //
  // Form Handler
  //
  //
  if ( $('.ipcht-item-msg-delete').length > 0 ) {
    var delete_url = ajaxurl+'?doajax=1&ipcht=1&action=delete_message';
    manage.delete( $( '.ipcht-item-msg-delete' ), delete_url );
  }

  //
  //Widget form handler
  var formWidget = new formHandler( '#ipcht-admin-widget-form' );
  formWidget.init();

  //
  //Settings form handler
  var formSetting = new formHandler( '#ipcht-admin-setting-form' );
  formSetting.init();

  

  /**
   * Chat manager handler
   *
   */
  var ipcht_Chat =
  {
    init: function()
    {
      this.preAccess();
      this.onAccess();
      this.stopAccess();
      this.chatSidebar();
      this.chatSidebarSearch();
      this.chatActions();
      this.sendChat();
    },

    //
    // Action that call after script finish load in chat manager page
    preAccess: function()
    {
      //Try to set online status
      $.ajax({
        url: ajaxurl+'?doajax=1&ipcht=1&action=save_admin_chat_status',
        type: "POST",
        data: 'status=1',
        dataType: "json",
        success: function ( result ) {}
      });
    },

    //
    // Action that call as long as user in page
    onAccess: function()
    {
      var inProcess = false;
      var $this     = this;

      setInterval( function()
      {
        if ( ! inProcess )
        {
          inProcess = true;

          var root = $( '#ipcht-admin-chat' );
          var main = $( '.ipcht-manage-content', root );
          var side = $( '.ipcht-sidebar', root );
          //
          //Get action data
          var sessKey = $( '#ipcht-form-chat [name="key"]' ).val();
          var acolor  = main.attr( 'data-admin-color' );
          var ucolor  = main.attr( 'data-user-color' );
          var date    = $( '.ipcht-chat-system-data' ).attr( 'data-lastdate' );

          $.ajax({
            url: ajaxurl+'?doajax=1&ipcht=1&action=admin_actions',
            type: "POST",
            data: 'status=1&session='+sessKey+'&user_color='+ucolor+'&admin_color='+acolor+'&last_date='+date,
            dataType: "json",
            success: function ( result ) 
            {
              inProcess = false;

              if ( result )
              {
                //Set user status
                if ( result.onlines )
                {
                  $( '#ipcht-admin-chat .ipcht-user' ).removeClass( 'ipcht-user-online' );
                  $( '#ipcht-admin-chat .ipcht-manage-content .ipcht-chat-header' ).removeClass( 'ipcht-user-online' );

                  for( var i = 0; i < result.onlines.length; i++ )
                  {
                    $( '#ipcht-admin-chat .ipcht-user[data-id="' + result.onlines[i] + '"]' ).addClass( 'ipcht-user-online' );
                    $( '#ipcht-admin-chat .ipcht-manage-content[data-current-user="' + result.onlines[i] + '"] .ipcht-chat-header' ).addClass( 'ipcht-user-online' );
                  }
                }

                //Check current user online
                if ( result.userOnline == 1 )
                {
                  $( '#ipcht-admin-chat .ipcht-chat-form-wrapper .ipcht-form-control' ).removeAttr('disabled'); 
                  $( '#ipcht-admin-chat .ipcht-chat-form-wrapper .ipcht-btn-submit' ).removeAttr('disabled'); 
                }
                else
                {
                  $( '#ipcht-admin-chat .ipcht-chat-form-wrapper .ipcht-form-control' ).attr( 'disabled', 'disabled' ); 
                  $( '#ipcht-admin-chat .ipcht-chat-form-wrapper .ipcht-btn-submit' ).attr( 'disabled', 'disabled' ); 
                }

                //Append user chats
                if ( result.chats )
                {
                  $( '.ipcht-chats-list', main ).append( result.chats );

                  //set scroll
                  var block  = $( '.ipcht-chat-area', main );
                  var scroll = block[0].scrollHeight;
                  block.scrollTop( scroll );
                }
                if ( result.last_date != '0' ) {
                  $( '.ipcht-chat-system-data' ).attr( 'data-lastdate', result.last_date );
                }

                //Append new users
                if ( result.users )
                {
                  $( '.ipcht-users-list .ipcht-users', side ).prepend( result.users );
                  $( '.ipcht-users-list .ipcht-user-new', side ).click( function()
                  {
                    $this.chatSidebarAction( $(this) );
                  });
                }
              }

            }
          });
        }

      }, 5000 ); 
    },

    //
    // Action that call after user leave page
    stopAccess: function()
    {
      $(window).unload(function() 
      {
        //Try to set online status
        $.ajax({
          url: ajaxurl+'?doajax=1&ipcht=1&action=save_admin_chat_status',
          type: "POST",
          data: 'status=0',
          async:false,
          dataType: "json",
          success: function ( result ) {}
        });
      });
    },

    //
    // Action that call after user leave page
    chatSidebar: function()
    {
      var $this = this;

      $( '#ipcht-admin-chat .ipcht-users .ipcht-user' ).click( function()
      {
        $this.chatSidebarAction( $(this) );
        return false;
      });
    },

    //
    // Action that call after user leave page
    chatSidebarAction: function( item )
    {
      var $this = this;

      var root = $( '#ipcht-admin-chat' );
      var main = $( '.ipcht-manage-content', root );

      $( '.ipcht-users .ipcht-user', root ).removeClass( 'active' );
      item.addClass( 'active' );

      $( '.ipcht-chat-content-label', main ).hide();
      $( '.ipcht-chat-loader', main ).show();

      var id     = item.data( 'id' );
      var ucolor = item.data( 'color' );
      var acolor = main.attr( 'data-admin-color' );

      main.attr( 'data-user-color', ucolor );

      //Try get user chat
      $.ajax({
        url: ajaxurl+'?doajax=1&ipcht=1&action=admin_get_chat',
        type: "POST",
        data: 'id='+id+'&user_color='+ucolor+'&admin_color='+acolor,
        dataType: "json",
        success: function ( result ) 
        {
          if ( result && result.status == 1 )
          {
            //Set user name
            $( '.ipcht-chat-header .ipcht-name-text', main ).text( result.user.user_name );
            //Set online status
            if ( result.online == '1' ) 
            {
              $( '.ipcht-chat-header', main ).addClass( 'ipcht-user-online' ); 
              $( '.ipcht-chat-form-wrapper .ipcht-form-control', main ).removeAttr('disabled'); 
              $( '.ipcht-chat-form-wrapper .ipcht-btn-submit', main ).removeAttr('disabled'); 
              $( '#ipcht-admin-chat .ipcht-chat-form-wrapper .ipcht-form-control' ).removeAttr('disabled'); 
              $( '#ipcht-admin-chat .ipcht-chat-form-wrapper .ipcht-btn-submit' ).removeAttr('disabled'); 
            } 
            else 
            {
              $( '.ipcht-chat-header', main ).removeClass( 'ipcht-user-online' );
              $( '.ipcht-chat-form-wrapper .ipcht-form-control', main ).attr('disabled','disabled'); 
              $( '.ipcht-chat-form-wrapper .ipcht-btn-submit', main ).attr('disabled','disabled'); 
              $( '#ipcht-admin-chat .ipcht-chat-form-wrapper .ipcht-form-control' ).attr( 'disabled', 'disabled' ); 
              $( '#ipcht-admin-chat .ipcht-chat-form-wrapper .ipcht-btn-submit' ).attr( 'disabled', 'disabled' ); 
            }
            main.attr( 'data-current-user', id );
            //Set form data
            $( '#ipcht-form-chat [name="user_name"]', main ).val( result.user.user_name );
            $( '#ipcht-form-chat [name="key"]', main ).val( result.session.sess_key );

            //
            //Append chats
            $this.appendChats( result.chats, 0 );
            if ( result.last_date != '0' ) {
              $( '.ipcht-chat-system-data' ).attr( 'data-lastdate', result.last_date );
            }

          }
          else {
            $( '.ipcht-chat-content-label', main ).show();
          }
          $( '.ipcht-chat-loader', main ).hide();
        }
      });
    },

    //
    // Append chats
    appendChats: function( chats, append )
    {
      var root = $( '#ipcht-admin-chat' );
      var main = $( '.ipcht-manage-content', root );

      if ( append == 1 ) {
        $( '.ipcht-chats-list', main ).append( chats );
      } else {
        $( '.ipcht-chats-list', main ).html( chats );
      }
      $( '.ipcht-chat-content-main', main ).show();

      //set scroll
      var block  = $( '.ipcht-chat-area', main );
      var scroll = block[0].scrollHeight;
      block.scrollTop( scroll );

      //Check area
      var areaHeight = $( '.ipcht-chat-area', main ).height();
      var listHeight = $( '.ipcht-chat-area-inner', main ).height();

      if ( listHeight < areaHeight )
      {
        var listTop = areaHeight - listHeight;
        $( '.ipcht-chat-area-inner', main ).css( 'padding-top', listTop );
      }
      else {
        $( '.ipcht-chat-area-inner', main ).css( 'padding-top', 0 );
      }
    },

    //
    // Action for search userin sidebar
    chatSidebarSearch: function()
    {
      var $this = this;

      $( '#ipcht-admin-chat #ipcht-search-keyword' ).val( '' );
      $( '#ipcht-admin-chat #ipcht-search-keyword' ).keyup( function()
      {
        var str = $(this).val();

        if ( str != '' )
        {
          $( '#ipcht-admin-chat .ipcht-users-list .ipcht-user' ).hide();
          $( '#ipcht-admin-chat .ipcht-users-list .ipcht-user' ).each( function()
          {
            str = str.toLowerCase();
            var name = $( '.ipcht-user-name', $(this) ).text().toLowerCase();
            if ( name.search( str ) > -1 ) {
              $(this).show();
            }
          });
        }
        else 
        {
          $( '#ipcht-admin-chat .ipcht-users-list .ipcht-user' ).show();
        }
      });
    },

    //
    // Send chat
    sendChat: function( chats )
    {
      var $this = this;
      var root  = $( '#ipcht-admin-chat' );
      var main  = $( '.ipcht-manage-content', root );

      //
      //Form chat validate
      if ( $( '#ipcht-form-chat' ).length > 0 )
      {
        var validateRules = {
          message: {
            required: true
          }
        };

        $("#ipcht-form-chat").validate(
        {
          ignore: [],
          errorClass: "form-field-error",
          errorElement: "div",
          errorPlacement: function( error, element )
          {
            var field = element.parents( '.form-field' );
            field.addClass( 'form-field-invalid' );
            if ( field.hasClass( 'form-field-inline' )) {
                field.append( error );
            } else {
                element.after( error );
            }
          },
          highlight: function( element, errorClass, validClass )
          {
            $(element)
                .parents( '.form-field' )
                .addClass( 'form-field-invalid' );
          },
          unhighlight: function(element, errorClass, validClass)
          {
            $(element)
                .parents( '.form-field' )
                .removeClass( 'form-field-invalid' );

          },
          focusCleanup: true,
          onkeyup: false,
          rules: validateRules,
          messages: {},
          submitHandler: function(form) 
          {
            var $form   = $(form);
            var message = $( '[name="message"]', $form ).val();
            var chat    = $this.displayChat( message, 'admin' );

            //Send chat
            $.ajax({
              url: ajaxurl+'?doajax=1&ipcht=1&action=send_chat&type=admin',
              type: "POST",
              data: $(form).serialize(),
              dataType: "json",
              success: function ( result ) 
              {
                //
                //Reset form
                $form[0].reset();

                if ( result && result.status == 1 )
                {
                  chat.find( '.ipcht-chat-status' )
                      .removeClass( 'ipcht-chat-status-send' )
                      .addClass( 'ipcht-chat-status-delivered' );
                }
              }
            });
          }
        });
      };
    },

    //
    //Display chat
    displayChat: function( message, type )
    {
      var chat = this.createChat( message, type );
      this.appendChats( chat, 1 );

      return chat;
    },
    //
    //Creating chat item
    createChat: function( message, type )
    {
      var wrapper = $( '<div class="ipcht-chat-item ipcht-chat-admin ipcht-clearfix"></div>' );
      var inner   = $( '<div class="ipcht-chat-inner ipcht-clearfix"></div>' );
      var icon    = this.createChatIcon( type );
      var top     = this.createChatTop( type );
      var content = this.createChatContent( message );
      var bubble  = $( '<div class="ipcht-chat-bubble"></div>' )
                        .append( 
                          $( '<div class="ipcht-chat-bubble-inner"></div>' )
                            .append( top )
                            .append( content )
                        )
                        .appendTo( 
                          inner
                            .append( icon )
                            .appendTo( wrapper ) 
                        );

      return wrapper;
    },
    //
    //Creating chat icon
    createChatIcon: function( type )
    {
      var form     = $( '#ipcht-form-chat' );
      var iconType = $( '[name="icon_type"]', form ).val();
      var acolor   = $( '#ipcht-admin-chat .ipcht-manage-content' ).attr( 'data-admin-color' );

      var icon = '';
      if ( iconType == 'name' )
      {
        if ( type == 'user' ) {
          var text = $( '[name="user_icon_text"]', form ).val();
        } else {
          var text = $( '[name="admin_icon_text"]', form ).val();
        }
        icon = '<div class="ipcht-chat-icon ipcht-chat-icon-alpha" style="background-color:'+acolor+';">' + text + '</div>';
      }
      else
      if ( iconType == 'photo' )
      {
        if ( type == 'user' ) {
          var url = $( '[name="user_icon_url"]', form ).val();
        } else {
          var url = $( '[name="admin_icon_url"]', form ).val();
        }
        icon = '<div class="ipcht-chat-icon ipcht-chat-icon-photo"><img src="' + url + '"></div>';
      }
      else
      {
        icon = '<div class="ipcht-chat-icon ipcht-chat-icon-bg" style="background-color:'+acolor+';"></div>';
      }
      return $( icon );
    },
    //
    //Creating chat top
    createChatTop: function( type )
    {
      var form = $( '#ipcht-form-chat' );

      if ( type == 'user' ) {
        var name = $( '[name="user_name"]', form ).val();
      } else {
        var name = $( '[name="admin_name"]', form ).val();
      }
      var date = this.getNow();
      
      var top     = $( '<div class="ipcht-chat-top"></div>' );
      var userTop = $( '<div class="ipcht-chat-user"></div>')
                        .append( $( '<strong></strong>' ).append( name ) );

      var status  = $( '<span class="ipcht-chat-status ipcht-chat-status-send"></span>')
                        .append( '<i class="ipcht-fa ipcht-fa-clock-o"></i>' )
                        .append( '<i class="ipcht-fa ipcht-fa-check"></i>' );

      var dateTop = $( '<div class="ipcht-chat-date"></div>')
                        .append( date )
                        .append( status );

      top.append( userTop );
      top.append( dateTop );

      return top;
    },
    //
    //Creating chat content
    createChatContent: function( message )
    {
      var msg = $( '<div class="ipcht-chat-message"></div>' ).append( message );
      return msg;
    },
    //
    //Get date now
    getNow: function()
    {
      var today = new Date();
      var dd    = today.getDate();
      var mm    = today.getMonth()+1;
      var hour  = today.getHours();
      var min   = today.getMinutes();
      if ( hour < 10 ) {
        hour = '0' + hour;
      }
      if ( min < 10 ) {
        min = '0' + min;
      }
      var date  = dd+'/'+mm+' '+hour+':'+min;

      return date;
    },
    //
    //Chat actions
    chatActions: function()
    {
      //
      //Delete
      $( '.ipcht-action-delete' ).click( function()
      {
        //Show loader
        ui.loader.show();

        var userId = $(this).parents( '.ipcht-manage-content' ).attr( 'data-current-user' );

        $.ajax({
          url: ajaxurl+'?doajax=1&ipcht=1&action=admin_delete_chat',
          type: "POST",
          data: 'user_id='+userId,
          dataType: "json",
          success: function ( result ) 
          {
            //Show message
            if ( result && result.status == 1 )
            {
              ui.message.modal( result.message, 'alert-success' );
              $( '.ipcht-chats-list' ).html( '' );
              $( '.ipcht-chat-content-main' ).hide();
              $( '.ipcht-chat-content-label' ).show();
              $( '.ipcht-chat-content-label' ).show();
              $( '.ipcht-users .ipcht-user[data-id="' + userId + '"]' ).remove();
            }
            else
            {
              ui.message.modal( result.message, 'alert-danger' );
            }

            //Hide loader
            ui.loader.hide();
          }
        });

        return false;
      });

      //
      //Clear
      $( '.ipcht-action-clear' ).click( function()
      {
        //Show loader
        ui.loader.show();

        var userId = $(this).parents( '.ipcht-manage-content' ).attr( 'data-current-user' );

        $.ajax({
          url: ajaxurl+'?doajax=1&ipcht=1&action=admin_clear_chat',
          type: "POST",
          data: 'user_id='+userId,
          dataType: "json",
          success: function ( result ) 
          {
            //Show message
            if ( result && result.status == 1 )
            {
              ui.message.modal( result.message, 'alert-success' );
              $( '.ipcht-chats-list' ).html( '' );
            }
            else
            {
              ui.message.modal( result.message, 'alert-danger' );
            }

            //Hide loader
            ui.loader.hide();
          }
        });

        return false;
      });
    }
  };
  //Run init
  if ( $( '#ipcht-admin-chat' ).length > 0 ) {
    ipcht_Chat.init();
  }

})(jQuery);

},{"./../libs/button-active.js":2,"./../libs/collapse.js":3,"./../libs/fademenu.js":4,"./../libs/fancy-option.js":5,"./../libs/form.js":6,"./../libs/image-option.js":7,"./../libs/manage.js":8,"./../libs/onoff.js":9,"./../libs/select-preview.js":10,"./../libs/stat.js":11,"./../libs/tab.js":12,"./../libs/ui.js":13,"./../libs/uploader.js":14}],2:[function(require,module,exports){
/*
 *===========================================================
 * Button active
 *===========================================================*/

var buttonActive;
(function($)
{
    "use strict";

    buttonActive = function( button, options )
    {
        var defaults  = {
            func_select: function( button ){}
        };
        var opt = $.extend( defaults, options );

        button.click( function()
        {
            if ( $(this).hasClass( 'active' )) {
                $(this).removeClass( 'active' );
                $( 'input', $(this) ).val( 'off' );
            } else {
                $(this).addClass( 'active' );
                $( 'input', $(this) ).val( 'on' );
            }

            //Select callback
            opt.func_select( $(this) );
            return false;
        });
    };

})(jQuery);

module.exports = buttonActive;

},{}],3:[function(require,module,exports){
/*
 *===========================================================
 * Toggle/Collapse
 *===========================================================*/
var collapse;

(function($)
{
    "use strict";

    collapse = function( root )
    {
        //
        //init
        //
        $( '.intm-options-section' ).each( function()
        {
            if ( $(this).is( ":hidden" ) ) {
                $(this).addClass( '_tempshow' ).show();
            }
        });
        $( '.intm-option-fields' ).each( function()
        {
            if ( $(this).is( ":hidden" ) ) {
                $(this).addClass( '_tempshow' ).show();
            }
        });

        root.each( function()
        {
            var cont   = $(this);
            var height = $( '.collapse-content', cont ).height();
            $( '.collapse-trigger', cont ).click( function()
            {
                if ( cont.hasClass( 'open' ))
                {
                    cont.removeClass( 'open' );
                    cont.addClass( 'close' );
                    $( '.intm-panel-actions i', $(this) ).removeClass( 'intm-fa-chevron-down' );
                    $( '.intm-panel-actions i', $(this) ).addClass( 'intm-fa-chevron-right' );
                    $( '.collapse-content', cont )
                        .height( height )
                        .animate(
                            { height: 0 }, 500
                        );
                }
                else
                {
                    cont.removeClass( 'close' );
                    cont.addClass( 'open' );
                    $( '.intm-panel-actions i', $(this) ).removeClass( 'intm-fa-chevron-right' );
                    $( '.intm-panel-actions i', $(this) ).addClass( 'intm-fa-chevron-down' );
                    $( '.collapse-content', cont )
                        .height( 0 )
                        .show()
                        .animate(
                            { height: height }, 500
                        );

                }
                return false;
            });
        });

        $( '._tempshow' ).hide();
    };

})(jQuery);

module.exports = collapse;

},{}],4:[function(require,module,exports){
/*
 *===========================================================
 * Fade Menu
 *===========================================================*/
var fademenu;

(function($)
{
  "use strict";

  fademenu = function( root )
  {
    $(root).each( function()
    {
      var button = $(this);
      var mouse_in_menu = false;
      $( '.ipcht-fademenu-button', button ).click( function()
      {
        $( '.ipcht-fademenu-content' ).fadeOut( "fast" );
        $( '.ipcht-fademenu-button' ).removeClass( 'active' );

        var link    = $(this);
        var content = $( '.ipcht-fademenu-content', button );

        if ( content.is(":visible") ) {
          content.fadeOut( "fast" );
          link.removeClass( 'active' );
        } else {
          content.fadeIn( "fast" );
          link.addClass( 'active' );
        }
        return false;
      });

      $( '.ipcht-fademenu-content', button ).hover( function(){
        mouse_in_menu = true;
      }, function(){
        mouse_in_menu = false;
      });
      $( "body" ).click(function(){
        if ( ! mouse_in_menu ) {
          $( '.ipcht-fademenu-content', button ).fadeOut( "fast" );
          $( '.ipcht-fademenu-button', button ).removeClass( 'active' );
        }
      });
      $( '.ipcht-fademenu-content a', button ).click(function(){
        return true;
      });
    });
  };
})(jQuery);

module.exports = fademenu;

},{}],5:[function(require,module,exports){
/*
 *===========================================================
 * Fancy Option
 *===========================================================*/
var option;

(function($)
{
    "use strict";

    //Fancy option
    option = function( items, options ){

        var defaults  = {
            func_select: function( option ){},
        };
        var options = $.extend( defaults, options );

        //Setup
        $( '.ipcht-select li:first-child' ).addClass( 'ipcht-item-selected' );

        $(items).each( function(){

            var option  = $(this);
            var in_menu = false;

            $( '.ipcht-selected', option ).click( function(){

                var menu   = $(this);
                var select = $( '.ipcht-select', option );

                if ( select.is(":visible") ) {
                    select.fadeOut( "fast" );
                    menu.removeClass( 'active' );
                } else {

                    $( '.ipcht-select' ).each( function(){
                        $(this).fadeOut( "fast" );
                        $(this).parents( '.ipcht-selected' ).removeClass( 'active' );
                    });
                    select.fadeIn( "fast" );
                    menu.addClass( 'active' );
                }
                return false;
            });
            $( '.ipcht-select', option ).hover( function(){
                    in_menu = true;
                }, function(){
                    in_menu = false;
            });
            $( "body" ).click(function(){
                if ( ! in_menu ) {
                    $( '.ipcht-select', option ).fadeOut( "fast" );
                    $( '.ipcht-selected', option ).removeClass( 'active' );
                }
            });

            $( 'li', option ).click( function(){

                var item  = $(this);
                var label = $( '.ipcht-select-label', item ).clone().html();
                var data  = item.data( 'select' );
                $( '.ipcht-selected .ipcht-selected-box', option ).html( label );
                $( '.ipcht-select li', option ).removeClass( 'ipcht-item-selected' );
                item.parents( 'li' ).addClass( 'ipcht-item-selected' );
                $( '.ipcht-input-select', option ).val( data );

                //Hide Select box
                $( '.ipcht-select', option ).fadeOut( "fast" );
                $( '.ipcht-selected', option ).removeClass( 'active' );

                options.func_select( option );
            });

        });

    };

})(jQuery);

module.exports = option;

},{}],6:[function(require,module,exports){
/*
 *===========================================================
 * Form Handler
 *===========================================================
 */
 var formHandler;
 var uifunc = require( './../libs/ui.js' );

(function($)
{
    "use strict";

    //Prepare ui
    if (typeof ipcht_img_url != 'undefined') {
        uifunc.base.construct.prototype.image_base = ipcht_img_url;
    }
    uifunc.base.confirm.prototype.set_ajax = function( ajax_url )
    {
        this.ajax_url = ajax_url;
    };
    uifunc.init();

    /**
     * Form handler
     */
    function ip_form( id ){
        this.form   = $( id );
        this.action = this.form.attr( 'action' );
    }
    //Set vars
    ip_form.prototype =
    {
        //Variables
        button_id:          '.ipcht-form-submit',
        cont_id:            '.ipcht-form-container',
        error_process:      'Error',
        success_process:    'Success',
        ajax_type:          'POST',
        ajax_dataType:      'json',

        afterSuccess:        function(){},

        //Init
        init: function()
        {
            var $this = this;
            //Prepare
            this.prepare();
            //Form submit
            $( this.button_id, $this.form ).click( function()
            {
                if ( $this.validator() ) {
                    if ( $this.before() ) {
                        uifunc.loader.show();
                        var data   = $this.get_data();
                        var result = $this.process();
                        $this.after( result );
                    }
                }
                $this.error();
                return false;
            });
        },
        //Prepare form
        prepare: function(){},
        //Main process
        process: function()
        {
            var $this = this;
            var data  = $this.get_data();
            $.ajax({
                url: $this.action,
                type: $this.ajax_type,
                dataType: $this.ajax_dataType,
                data: data,
                success: function( result ) {
                    $this.ajax_success( result, $this );
                },
                error: function() {
                    $this.ajax_error( $this );
                }
            });
        },
        //Before process
        before: function()
        {
            return true;
        },
        //After process
        after: function( result ){},
        //Process if error
        error: function(){},
        //Process if ajax success
        ajax_success: function( result, $this )
        {
            $( '.ui-message', $this.form ).remove();
            uifunc.loader.hide();
            if ( result.status == 1 ) {
                if ( typeof result.redirect != 'undefined' ) {
                    window.location.href = result.redirect;
                } else {
                    if ( typeof result.reset != 'undefined' ) {
                        $this.form[0].reset();
                    }
                    uifunc.message.modal( result.message, 'alert-success' );
                    this.afterSuccess( result, $this );
                }
            } else {
                uifunc.message.modal( result.message, 'alert-danger' );
            }
        },
        //Process if ajax error
        ajax_error: function( $this )
        {
            uifunc.loader.hide();
            uifunc.message.modal( $this.error_process, 'alert-danger' );
        },

        //Validating form data
        validator: function()
        {
            return true;
        },
        check_empty: function( id, message )
        {
            var input = $( id );
            if ( input.val() == '' ) {
                uifunc.message.block( message, 'ip-ui-danger', input ); 
                return true;
            }
            return false;
        },

        //Get data form
        get_data: function()
        {
            var root = this.form;
            var selector  = 'input[type=text]';
            selector += ', input[type=hidden]';
            selector += ', input[type=password]';
            selector += ', input[type=radio]:checked';
            selector += ', input[type=checkbox]:checked';
            selector += ', textarea';
            selector += ', select';

            var data = '';
            $( selector, root ).each( function(){
                var name  = $(this).attr( 'name' );
                var value = encodeURIComponent( $(this).val() );

                if ( data != '' ) {
                    data += '&';
                }
                data += name+'='+value;
            });
            if (typeof tinyMCE !== 'undefined') {
                for ( var edId in tinyMCE.editors ) {

                    if ( edId.length > 1 ) {
                        var value = tinyMCE.editors[edId].getContent();
                        if ( data != '' ) {
                            data += '&';
                        }
                        data += edId+'='+value;
                    }
                }
            }
            data = this.additional_data( data );
            return data;
        },
        additional_data: function( data )
        {
            return data;
        },

        //Get tiny mce object
        get_tinymce: function( contentId )
        {
            var content = '';
            if (typeof tinyMCE !== 'undefined') {
                content = tinyMCE.get( contentId ).getContent();
            }
            return content;
        },
        //Set tiny mce object with a content
        set_tinymce: function( contentId, content )
        {
            if (typeof tinyMCE !== 'undefined') {
                tinyMCE.get( contentId ).setContent( content );
            }
        }
    };
    formHandler = ip_form;

})(jQuery);

module.exports = formHandler;

},{"./../libs/ui.js":13}],7:[function(require,module,exports){
/*
 *===========================================================
 *  Input image option
 *===========================================================*/
var option;

(function($)
{
    "use strict";

    option = function( root, options )
    {
        var defaults  = {
            after: function( item ){},
        };
        var options = $.extend( defaults, options );

        root.each( function()
        {
            var input = $(this);

            $( '._item', input ).click( function()
            {
                $( '._item', input ).removeClass( '_selected' );
                var value = $(this).data( 'value' );
                $(this).addClass( '_selected' );
                $( '._value-selected', input ).val( value );
                //
                //Callback
                options.after( value, input );
                return false;
            })
        });
    };

})(jQuery);

module.exports = option;

},{}],8:[function(require,module,exports){
/*
 *===========================================================
 * Manage script
 *===========================================================*/
var uifunc = require( './../libs/ui.js' );
var manage;

(function($)
{
    "use strict";

    var delete_confirm_title = '';
    var delete_confirm_info  = '';

    if (typeof ui_message != 'undefined') {
        if (typeof ui_message.delete_confirm_title != 'undefined') {
            delete_confirm_title = ui_message.delete_confirm_title;
        }
        if (typeof ui_message.delete_confirm_info != 'undefined') {
            delete_confirm_info = ui_message.delete_confirm_info;
        }
    }

    //Prepare ui
    if (typeof ui_base_image != 'undefined') {
        uifunc.base.construct.prototype.image_base = ui_base_image;
    }
    uifunc.base.confirm.prototype.set_ajax = function( ajax_url )
    {
        this.ajax_url = ajax_url;
    };

    uifunc.init();
    uifunc.delete_confirm = new uifunc.base.confirm();

    uifunc.delete_confirm.set_vars({
        title: delete_confirm_title,
        info: delete_confirm_info,
        yes_class:  'ipcht-btn ipcht-btn-md ipcht-btn-danger',
        no_class:   'ipcht-btn ipcht-btn-md ipcht-btn-default',
        action:     function( object, ui )
        {
            var id = object.data( 'id' );
            uifunc.loader.show();
            ui.hide( object );

            $.ajax({
                url: ui.ajax_url + '&id='+id,
                type: "POST",
                dataType: "json",
                success: function (result)
                {
                    if ( object.hasClass( 'ipcht-delete-edit' ) )
                    {
                        window.location.href = result.redirect;
                    } else
                    {
                        if ( result.status == '-1' ) {
                            uifunc.message.modal( result.message, 'alert-danger' );
                        } else {
                            uifunc.message.modal( result.message, 'alert-success' );
                            ui.vars.remove_element( object, ui );
                        }
                        uifunc.loader.hide();
                    }
                },
                error: function () {
                    alert( "Error in deleting item." );
                },
            });
        },
        remove_element: function( object, ui )
        {
            var tr = object.parents( 'tr' );
            tr.hide( 'blind' );
            setTimeout( function(){
                tr.remove();
            }, 600);
        }
    });

    manage = {
        delete: function( items, url )
        {
            $(items).each( function()
            {
                var button = $(this);
                button.click( function()
                {
                    uifunc.delete_confirm.set_ajax( url );
                    uifunc.delete_confirm.set_vars({
                        remove_element: function( object, ui ){
                            var cont   = object.parents( '.ipcht-manage-list' );
                            var item   = object.parents( '.ipcht-list-item' );
                            var length = $( '.ipcht-list-item', cont ).length;

                            item.hide( 'blind' );
                            if ( length == 1 ) {
                                $( '.ipcht-list-empty', cont ).show();
                            }
                            setTimeout( function(){
                                item.remove();
                            }, 600);
                        }
                    });
                    uifunc.delete_confirm.show( button );
                    return false;
                });
            });
        }
    }
})(jQuery);

module.exports = manage;

},{"./../libs/ui.js":13}],9:[function(require,module,exports){
/*
 *===========================================================
 * On Off Button
 *===========================================================*/
var onoff;

(function($)
{
    "use strict";

    /**
     * On Off button
     */
    onoff = function( root, options )
    {
        var defaults  = {
            func_select: function( button ){},
        };
        var options = $.extend( defaults, options );

        $(root).each( function(){

            var cont = $(this);
            $( '.ipcht-btn-onoff', cont ).click( function()
            {
                var value = $(this).data( 'value' );
                if ( ! $(this).hasClass( 'active' ) ) {
                    $( 'button', cont ).removeClass( 'active' );
                    $( 'button', cont ).removeClass( 'ipcht-btn-on' );
                    $( 'button', cont ).removeClass( 'ipcht-btn-off' );
                    if ( value == true ) {
                        $(this).addClass( 'ipcht-btn-on' );
                    } else {
                        $(this).addClass( 'ipcht-btn-off' );
                    }
                    $(this).addClass( 'active' );
                }
                $( '.ipcht-onoff-value', cont ).val(value);

                var field = $(this).parents( '.ipcht-field-row' );
                if ( field.hasClass( 'ipcht-toggle' )) {

                    if ( value == 'false' || value == false ) {
                        $( '.ipcht-toggle-option', field ).hide();
                    } else {
                        $( '.ipcht-toggle-option', field ).show();
                    }
                }
                options.func_select( $(this), cont );
                return false;
            });
        });
    };

})(jQuery);

module.exports = onoff;

},{}],10:[function(require,module,exports){
/*
 *===========================================================
 * Select preview
 *===========================================================*/

var selectPreview;

(function($)
{
    "use strict";

    selectPreview = function( input, options )
    {
        var defaults  = {
            cont_selector:          '.ipcht-field-row',
            cont_preview_selector:  '.ipcht-select-preview',
            item_preview_class:     'ipcht-preview',
            root_image:             '',
            preview_data:           [],
            func_select:            function( input ){}
        };
        var opt  = $.extend( defaults, options );
        var cont = input.parents( opt.cont_selector );

        input.change( function()
        {
            var select  = $(this).val();
            var preview = $( opt.cont_preview_selector, cont );
            var opts    = opt.preview_data;
            preview.html( '' );
            for (var i = 0; i < opts.length; i++)
            {
                var key = opts[i];
                var src = opt.root_image+select+'/'+key+'.png';
                preview.append(
                    '<span class="'+opt.item_preview_class+'"><img src="'+src+'" alt="'+key+'"></span>'
                );
            }
            opt.func_select( $(this) );
        });
    };

})(jQuery);

module.exports = selectPreview;

},{}],11:[function(require,module,exports){
/*
 *===========================================================
 * Tab menu
 *===========================================================*/
var stat;

(function($)
{
    "use strict";

    stat = function( object, options )
    {
        var defaults  = {
            ajax_url: '',
            chart_id:  'ipcht-chart-div'
        };
        var ipcht_opt = $.extend( defaults, options );

        var root = $(object);

        //Date picker
        $( '#date-start',root )
            .datepicker()
            .bind('changeDate', function(ev){
                $( '#date-start',root ).datepicker('hide');
            });

        $( '#date-end', root )
            .datepicker()
            .bind('changeDate', function(ev){
                $( '#date-end',root ).datepicker('hide');
            });

        //Do filter date
        $( '#do-filter-date', root ).click( function()
        {
            var dateStart = $( '#date-start' ).val();
            var dateEnd   = $( '#date-end' ).val();
            var pageId    = $( '#value-pageid' ).val();
            var type      = $( '#value-stat-type' ).val();

            //Show loader
            $( '.ipcht-chart-main', root ).html('').hide();
            $( '.ipcht-chart-load', root ).show();

            $.ajax({
                url: ipcht_opt.ajax_url,
                type: "POST",
                data: 'start='+dateStart+'&end='+dateEnd+'&pageid='+pageId+'&type='+type,
                dataType: "json",
                success: function (result ) {

                    $( '.ipcht-chart-main' ).show();
                    $( '.ipcht-chart-load' ).hide();
                    if ( result.status == 1 && result.data.length > 0 )
                    {
                        var dataTable = new google.visualization.DataTable();
                        dataTable.addColumn( 'date', result.labelDate );
                        dataTable.addColumn( 'number', result.labelValue );

                        var rows = [];
                        for (var i=0; i<result.data.length; i++)
                        {
                            var cur   = result.data[i];
                            var data  = [ new Date( cur.year, cur.mon, cur.day ), cur.value ];
                            rows.push( data );
                        }
                        dataTable.addRows( rows );
                        var options = {
                            series: [{pointSize:6}]
                        };
                        var chart = new google.visualization.LineChart(document.getElementById(ipcht_opt.chart_id));
                        chart.draw(dataTable, options);
                    }
                },
                error: function () {
                    alert( "Error in get statistic data" );
                },
            });

            return false;
        });

        //Stat Nav
        $( '.ipcht-stat-nav a' ).click( function()
        {
            var link   = $(this);
            var root   = link.parents( 'li' );
            var type   = link.attr( 'href' ).replace( '#stat-', '' );
            var pageId = $( '#value-pageid' ).val();

            if ( root.hasClass( 'active' )) {
                return true;
            }
            $( '.ipcht-stat-nav li' ).removeClass( 'active' );
            root.addClass( 'active' );
            $( '#value-stat-type' ).val( type );

            //Show loader
            $( '.ipcht-chart-main' ).html('').hide();
            $( '.ipcht-chart-load' ).show();

            //Load cart
            $.ajax({
                url: ipcht_opt.ajax_url,
                type: "POST",
                data: 'pageid='+pageId+'&type='+type,
                dataType: "json",
                success: function (result ) {

                    $( '.ipcht-chart-main' ).show();
                    $( '.ipcht-chart-load' ).hide();
                    if ( result.status == 1 && result.data.length > 0 )
                    {
                        var dataTable = new google.visualization.DataTable();
                        dataTable.addColumn( 'date', result.labelDate );
                        dataTable.addColumn( 'number', result.labelValue );

                        var rows = [];
                        for (var i=0; i<result.data.length; i++)
                        {
                            var cur   = result.data[i];
                            var data  = [ new Date( cur.year, cur.mon, cur.day ), cur.value ];
                            rows.push( data );
                        }
                        dataTable.addRows( rows );
                        var options = {
                            series: [{pointSize:6}]
                        };
                        var chart = new google.visualization.LineChart(document.getElementById(ipcht_opt.chart_id));
                        chart.draw(dataTable, options);
                    }
                },
                error: function () {
                alert( "Error in get statistic data" );
                },
            });

            return false;
        });
    };

})(jQuery);

module.exports = stat;

},{}],12:[function(require,module,exports){
/*
 *===========================================================
 * Tab menu
 *===========================================================*/
var tab;

(function($)
{
    "use strict";

    tab = function( object, options )
    {
        var defaults  = {
            after_click:     function(){},
            tab_init:        function(){}
        };
        var opt  = $.extend( defaults, options );

        $(object).each( function()
        {
            var root = $(this);

            tab_init();

            $( '.ipcht-tab-menu a', root ).click( function()
            {
                clear_tab();
                $( this ).addClass( 'active' );

                var idtab = $(this).attr( 'href' ).replace( '#', '' );
                $( '#'+idtab ).show();
                $( '#ipcht-tab-selected' ).val( idtab );

                opt.after_click( idtab, root );

                return false;
            });

            function clear_tab()
            {
                $( '.ipcht-tab-menu a', root ).each( function(){
                    $(this).removeClass( 'active' );
                });
                $( '.ipcht-tab-content', root ).hide();
            };

            function tab_init()
            {
                clear_tab();
                $( '#ipcht-tab-selected', root ).hide();
                var current = $( '#ipcht-tab-selected' ).val();
                $( '#'+current ).show();
                $( 'a[href="#'+current+'"]' ).addClass( 'active' );
                $( '#ipcht-tab-selected' ).val( current );

                opt.tab_init( current, root );
            };
        });
    };

})(jQuery);

module.exports = tab;

},{}],13:[function(require,module,exports){
/*
 *===========================================================
 * UI
 *===========================================================
 */
var ui;

(function($)
{
    "use strict";

    //Inherit function
    function inherit( proto )
    {
        function F() {}
        F.prototype = proto
        return new F
    }

    /*
     *===========================================================
     * Ui prototype
     *===========================================================*/
    function ui_construct( options ){};

    ui_construct.prototype =
    {

        vars:               {},
        class_prefix:       'ipcht-',
        class_main:         '-main',
        class_title:        '-title',
        class_content:      '-content',
        class_disabled:     'disabled',
        class_close:        'ui-close',
        label_close:        'x',
        image_base:         '',

        top_margin:         '80px',
        overlay_speed:      600,
        main_speed:         400,
        show_speed:         4000,

        show_after:         function(){},
        hide_after:         function(){},

        popup_body: function( class_root, content, title, close )
        {
            var body = $( '<div class="'+class_root+'"></div>' );
            var main = $( '<div class="'+class_root + this.class_main+'"></div>' );
            if ( title )
            {
                var _title = $( '<div class="'+class_root + this.class_title+'"></div>' )
                                .append( '<h3>'+title+'</h3>' );
                if ( close )
                {
                    var _close = $( '<a href="#">'+this.label_close+'</a>' );
                    this.popup_close( _close, class_root );

                    _title.append(
                        $( '<div class="'+this.class_prefix+this.class_close+'"></div>' ).append( _close )
                    );
                }
                main.append( _title );
            }
            if ( content ) {
                main.append(
                    $( '<div class="'+class_root + this.class_content+'"></div>' ).append( content )
                );
            }
            body.append( main );
            return body;
        },
        popup_show: function( popup )
        {
            var c_root = popup.attr( 'class' );
            var main   = $( '.'+c_root+this.class_main, popup );
            popup.show();
            main.css( 'margin-top', '-40%' )
                .animate({marginTop: this.top_margin}, this.main_speed, this.show_after);
        },
        popup_hide: function( popup )
        {
            var c_root = popup.attr( 'class' );
            var main   = $( '.'+c_root+this.class_main, popup );

            popup.animate( {opacity: 0}, this.overlay_speed, function(){
                $(this).css( 'opacity', 1 )
                       .hide();
            });
            main.animate( {marginTop: '-60%'}, this.main_speed, this.hide_after);
        },
        popup_close: function( button, class_popup )
        {
            var ui = this;
            button.click( function(){
                var popup = $( '.'+class_popup );
                ui.popup_hide( popup );
                return false;
            });
        },
        is_load: function( selector )
        {
            if ( $( selector ).length > 0 ) {
                return true;
            }
            return false;
        },
        set_vars: function( options )
        {
            this.vars = $.extend(this.vars, options);
        },
        set_base_vars: function( options )
        {
            this.vars = $.extend(this, options);
        },
        go_to: function( selector )
        {
            var pos = $( selector ).position();
            $('html, body').animate({scrollTop: ( pos.top )}, 600);
            return false;
        }
    };

    /*
     * Modal Class
     **/
    function modal(){};
    modal.prototype = inherit( ui_construct.prototype );
    //Modal message
    modal.prototype.ajax = function( id, url )
    {
        var ui      = this;
        var c_root  = this.class_prefix + this.class_modal;
        var modal   = this.popup_body( c_root, '', false, false ).appendTo( $( 'body' ) );
        modal.addClass( class_type )
             .attr( 'id', id );

        this.popup_show( modal );
    };

    /*
     * Loader Class
     **/
    function loader(){};
    loader.prototype = inherit( ui_construct.prototype );
    //Properties
    loader.prototype.class_root     = 'ui-loader';
    loader.prototype.loader_file    = 'loading.gif';
    //Show loader
    loader.prototype.show = function()
    {
        var loader = this.create();
        this.popup_show( loader );
    };
    //Hide loader
    loader.prototype.hide = function()
    {
        var loader = this.create();
        this.popup_hide( loader );
    };
    //Create loader
    loader.prototype.create = function()
    {
        var c_root = this.class_prefix + this.class_root;
        if ( this.is_load( '.'+c_root )) {
            return $( '.'+c_root );
        } else
        {
            var image  = '<img src="'+this.image_base+this.loader_file+'" alt="Loading...">';
            var loader = this.popup_body( c_root, image, false, false ).appendTo( $( 'body' ) );
            loader.hide();

            return loader;
        }
    };


    /*
     * Inline loader Class
     **/
    function iloader(){};
    iloader.prototype = inherit( ui_construct.prototype );
    //Properties
    iloader.prototype.class_root   = 'ui-inline-loader';
    iloader.prototype.loader_file  = 'spin.gif';
    //Loader show
    iloader.prototype.show = function( button )
    {
        button.attr( 'disabled', 'disabled' );
        this.create( button ).show();
    };
    //Loader hide
    iloader.prototype.hide = function( button )
    {
        button.removeAttr( 'disabled' );
        this.create( button ).hide();
    };
    //Creating loader
    iloader.prototype.create = function( button )
    {
        var root   = button.parent();
        var lclass = this.class_prefix + this.class_root;
        if ( $( '.'+lclass, root ).length > 0 ) {
            var loader = $( '.'+lclass, root );
        } else {
            var image  = '<img src="'+this.image_base+this.loader_file+'" alt="Loading...">';
            var loader = $( '<span class="'+lclass+'"></span>' )
                            .append( image )
                            .css( 'margin-left', '8px' );
        }
        button.after( loader );
        return loader;
    };


    /*
     * Confirm popup
     **/
    function confirm( options )
    {
        var defaults = {
            title:      'Confirmation',
            info:       '',
            yes_label:  'Yes',
            no_label:   'Cancel',
            yes_class:  'btn btn-danger',
            no_class:   'btn btn-success',
            action:     function( object ){}
        };
        this.vars = $.extend(defaults, options);
    };
    confirm.prototype = inherit( ui_construct.prototype );
    //Properties
    confirm.prototype.class_root = 'ui-confirm';
    //Confirm show
    confirm.prototype.show = function( object )
    {
        var confirm = this.create( object );
        this.popup_show( confirm );
    };
    //Confirm hide
    confirm.prototype.hide = function( object )
    {
        var confirm = this.create( object );
        this.popup_hide( confirm );
    };
    //Creating confirm
    confirm.prototype.create = function( object )
    {
        var ui     = this;
        var c_root = this.class_prefix + this.class_root;
        if ( this.is_load( '.'+c_root )) {
            $( '.'+c_root ).remove();
        }
        //Create confirm
        var yesbtn = $( '<a href="#" class="ip-confirm-yes '+this.vars.yes_class+'">'+this.vars.yes_label+'</a>' );
        var nobtn  = $( '<a href="#" class="ip-confirm-no '+this.vars.no_class+'">'+this.vars.no_label+'</a>' );

        yesbtn.click( function(){
            ui.vars.action( object, ui );
            return false;
        });
        this.popup_close( nobtn, c_root );

        var content = $( '<div class="'+c_root+'-inner"></div>' )
            .append( '<p>'+this.vars.info+'</p>' )
            .append(
                $( '<div class="'+c_root+'-actions"></div>' )
                    .append( yesbtn )
                    .append( nobtn )
            );

        var confirm = this.popup_body( c_root, content, this.vars.title, false ).appendTo( $( 'body' ) );
        confirm.hide();

        return confirm;
    };


    /*
     * Alert popup
     **/
    function alert( options )
    {
        var defaults = {
            message:        '',
            label_button:   'Ok',
            class_root:     '',
            class_button:   'ipcht-btn ipcht-btn-sm ipcht-btn-danger',
            after:          function(){}
        };
        this.vars = $.extend(defaults, options);
    };
    alert.prototype = inherit( ui_construct.prototype );
    //Properties
    alert.prototype.class_root = 'ui-alert';
    //Alert show
    alert.prototype.show = function( message )
    {
        this.vars.message = message;
        var alert = this.create();
        this.popup_show( alert );
    };
    //Alert hide
    alert.prototype.hide = function()
    {
        var alert = this.create();
        this.hide_after = this.vars.after;
        this.popup_hide( alert );
    };
    //Creating alert
    alert.prototype.create = function()
    {
        var ui     = this;
        var c_root = this.class_prefix + this.class_root;
        if ( this.is_load( '.'+c_root )) {
            return $( '.'+c_root );
        } else
        {
            var button = $( '<a href="#" class="'+this.vars.class_button+'">'+this.vars.label_button+'</a>' );
            this.popup_close( button, c_root );

            var c_info  = c_root + '-inner';
            if ( this.vars.class_root != '' ) {
                c_info += ' ' + this.vars.class_root;
            }
            var content = $( '<div class="'+c_info+'"></div>' )
                .append( '<p>'+this.vars.message+'</p>' )
                .append(
                    $( '<div class="'+c_root+'-actions"></div>' )
                        .append( button )
                );

            var popup  = this.popup_body( c_root, content, false, false ).appendTo( $( 'body' ) );
            popup.hide();

            return popup;
        }
    };


    /*
     * Message
     **/
    function message(){};
    message.prototype = inherit( ui_construct.prototype );
    //Properties
    message.prototype.class_modal = 'ui-modal-message';
    message.prototype.class_block = 'ui-message';
    //Modal message
    message.prototype.modal = function( message, class_type )
    {
        var ui      = this;
        var c_root  = this.class_prefix + this.class_modal;
        var content = '<p>'+message+'</p>';
        var msg     = this.popup_body( c_root, content, false, false ).appendTo( $( 'body' ) );
        msg.addClass( class_type )
           .show()
           .animate({top: "0"}, ui.overlay_speed, function(){
                var object = $( this );
                setTimeout( function(){
                    object.animate({top: '-100px'}, ui.overlay_speed, function(){
                        object.remove();
                    });
                }, ui.show_speed);
            });
    };
    //Bloack message
    message.prototype.block = function( message, class_type, block, close )
    {
        var ui      = this;
        var c_root  = this.class_prefix + this.class_block;
        var parent  = block.parent();

        $( '.'+c_root, parent ).remove();

        var msg = $( '<div></div>' );
        msg.addClass( c_root )
           .addClass( class_type )
           .append( '<p>'+message+'</p>' );

        if ( close )
        {
            var _close = $( '<a href="#">'+this.close_label+'</a>' );
            _close.click( function()
            {
                var _msg = $(this).parents( '.'+c_root );
                _msg.animate({opacity: "0"}, ui.overlay_speed, function(){
                    _msg.remove();
                });
                return false;
            });
            msg.append(
                $( '<div class="'+this.class_prefix+this.class_close+'"></div>' ).append( _close )
            );
        }
        msg.css( 'opacity', '0' );
        parent.prepend( msg );
        msg.animate({opacity: "1"}, ui.overlay_speed);
    };

    ui =
    {
        base: {
            construct:  ui_construct,
            loader:     loader,
            iloader:    iloader,
            confirm:    confirm,
            message:    message,
            alert:      alert,
            modal:      modal

        },
        init: function()
        {
            this.loader  = new this.base.loader(),
            this.iloader = new this.base.iloader(),
            this.confirm = new this.base.confirm(),
            this.message = new this.base.message(),
            this.alert   = new this.base.alert(),
            this.modal   = new this.base.modal()
        }
    };

})(jQuery);

module.exports = ui;

},{}],14:[function(require,module,exports){
/*
 *===========================================================
 * Image uploader handle
 *===========================================================*/
var uploader;

(function($)
{
    "use strict";

    uploader = function( element, options )
    {
        var defaults  = {
            func_select: function( input ){},
        };
        var options = $.extend( defaults, options );

        $(element).each( function()
        {
            var root = $(this);
            var frame;
            $( '.ipcht-btn-media', root ).click( function(e)
            {
                var $el = $(this);
                e.preventDefault();

                // If the media frame already exists, reopen it.
                if ( frame ) {
                    frame.open();
                    return;
                }
                // Create the media frame.
                frame = wp.media.frames.customHeader = wp.media({
                    // Set the title of the modal.
                    title: $el.data('choose'),

                    // Tell the modal to show only images.
                    library: {
                        type: 'image'
                    },

                    // Customize the submit button.
                    button: {
                        // Set the text of the button.
                        text: $el.data('update'),
                        // Tell the button not to close the modal, since we're
                        // going to refresh the page when the image is selected.
                        close: false
                    }
                });

                // When an image is selected, run a callback.
                frame.on( 'select', function() {
                    // Grab the selected attachment.
                    var attachment = frame.state().get('selection').first();
                    var id         = attachment.id;

                    var url = '';
                    if (typeof attachment.attributes.sizes.thumbnail != 'undefined') {
                        url = attachment.attributes.sizes.thumbnail.url;
                    }
                    else if (typeof attachment.attributes.sizes.medium != 'undefined') {
                        url = attachment.attributes.sizes.medium.url;
                    }
                    else if (typeof attachment.attributes.sizes.full != 'undefined') {
                        url = attachment.attributes.sizes.full.url;
                    }

                    $( '.ipcht-upload-preview .none', root ).hide();
                    $( '.ipcht-upload-preview .image', root )
                        .html( '<img src="'+url+'" alt="" />' )
                        .show();
                    $( '.ipcht-image-id', root ).val( id );
                    $( '.ipcht-btn-reset', root ).show();

                    //Select callback
                    options.func_select( element );

                    frame.close();
                });
                frame.open();

                return false;
            });
            $( '.ipcht-btn-reset', root ).click( function(e)
            {
                $( '.ipcht-upload-preview .none', root ).show();
                $( '.ipcht-upload-preview .image', root ).html( '' ).hide();
                $( '.ipcht-image-id', root ).val( 0 );
                $( '.ipcht-btn-reset', root ).hide();
                return false;
            });
        });
    };

})(jQuery);

module.exports = uploader;

},{}]},{},[1]);
