<?php
/**
 * Admin chat manage view
 *
 * @package wp-chat-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<!-- start: .ipcht-manage-chat -->
<div class="ipcht-manage-chat ipcht-manage-wrap ipcht-manage-sidebar">

	<!-- start: .ipcht-form-inner -->
	<div class="ipcht-form-inner">

		<!-- start: .container -->
  	<div class="container-fluid container">
    	<div class="ipcht-clear">

    		<!-- start: .ipcht-chat-sidebar -->
				<div class="ipcht-sidebar ipcht-chat-sidebar">
				  <!-- start: .ipcht-chat-sidebar-inner -->
				  <div class="ipcht-chat-sidebar-inner">

				  	<!-- start: .ipcht-user-search -->
				  	<div class="ipcht-user-search">
				  		<form id="ipcht-user-search-form" action="" method="post">
					  		<div class="ipcht-search-fields">

					  			<div class="ipcht-search-input">
					  				<input id="ipcht-search-keyword" type="text" name="s" value="" placeholder="<?php _e( 'Search User', IPCHT_SLUG ); ?>">
					  			</div>
					  			<div class="ipcht-search-submit">
					  				<button type="submit" id="ipcht-search-submit" name="dosearch">
					  					<i class="ipcht-fa ipcht-fa-search"></i>
					  				</button>
					  			</div>

					  		</div>
				  		</form>
				  	</div>
				  	<!-- end: .ipcht-user-search -->

				  	<!-- start: .ipcht-users-list -->
				  	<div class="ipcht-users-list">
				  	<?php
				  	$thumbType = $this->systemConfig->getSetting( 'user_photo_type', 'name' );
				  	?>
				  	<div class="ipcht-users ipcht-thumb-<?php echo $thumbType; ?>">

				  		<?php
				  		$userPhoto = false;
				  		if ( $photoId = $this->systemConfig->getSetting( 'user_photo' ))
							{
						    $phdata = wp_get_attachment_image_src( $photoId, 'full' );
						    if ( ! empty( $phdata[0] )) {
					        $userPhoto = $phdata[0];
						    }
							}

				  		$colors  = 
				  		$_colors = array(
				  			'#666666',
				  			'#336eb8',
				  			'#3da7c6',
				  			'#33a746',
				  			'#c14127',
				  			'#ce6e3a',
				  			'#ada458',
				  			'#b55a94',
				  			'#824b9b',
				  			'#4e429a',
				  			'#569f84',
				  			'#8ba955'
				  		);
				  		$chats = IPCht_Chat::getUserChats();
				  		if ( ! empty( $chats )) :
				  			foreach( $chats as $data ) :
				  				$user = $data['user'];

				  				if ( empty( $colors )) {
				  					$colors = $_colors;
				  				}
				  				$last = count( $colors );
				  				$rand = rand( 0, $last - 1 );
				  				$color = $colors[$rand];
				  				unset( $colors[$rand] );
				  				sort( $colors );

				  				$class = 'ipcht-user';
				  				if ( $data['online'] == '1' ) {
				  					$class .= ' ipcht-user-online';
				  				}
				  		?>
					  	<!-- start: .ipcht-user -->
					  	<div class="<?php echo $class; ?>" data-id="<?php echo $user->user_id; ?>" data-color="<?php echo $color; ?>">
						  	<div class="ipcht-user-inner">
							  	<div class="ipcht-user-icon" style="background-color:<?php echo $color; ?>">
							  		<?php
							  		if ( $thumbType == 'name' ) :
							  		?>
							  		<span class="ipcht-user-char">
							  			<?php echo substr( $user->user_name, 0, 1 ); ?>
							  		</span>
								  	<?php
								  	elseif ( $thumbType == 'photo' && $userPhoto ) :
								  	?>
								  		<img class="ipcht-user-photo" src="<?php echo $userPhoto; ?>" alt="">
								  	<?php
								  	else :
								  	?>
								  		<span class="ipcht-user-char"></span>
								  	<?php
								  	endif;
								  	?>
							  	</div>
							  	<div class="ipcht-user-info">
							  		<h4 class="ipcht-user-name"><?php echo $user->user_name; ?></h4>
							  		<p class="ipcht-user-message"><?php echo $data['label']; ?></p>
							  	</div>
						  	</div>
					  	</div>
					  	<!-- end: .ipcht-user -->
					  	<?php
					  		endforeach;
					  	endif;

					  	if ( empty( $colors )) {
			  					$colors = $_colors;
			  				}
			  				$last  = count( $colors );
			  				$rand  = rand( 0, $last - 1 );
			  				$acolor = $colors[$rand];
					  	?>

				  	</div>
				  	</div>
				  	<!-- end: .ipcht-users-list -->

				  </div>
				  <!-- end: .ipcht-chat-sidebar -->
				</div>
				<!-- end: .ipcht-chat-sidebar-inner -->

    		<!-- start: .ipcht-chat-content -->
				<div class="ipcht-manage-content ipcht-chat-content" data-current-user="0" data-admin-color="<?php echo $acolor; ?>">
				  <!-- start: .ipcht-chat-content-inner -->
				  <div class="ipcht-chat-content-inner">

				  	<h4 class="ipcht-chat-content-label">
				  		<span><?php _e( 'Please select a chat to start messaging', IPCHT_SLUG ); ?></span>
				  	</h4>

				  	<!-- start: .ipcht-chat-content -->
				  	<div class="ipcht-chat-content-main" style="display:none;">

				  		<!-- start: .ipcht-chat-header -->
				  		<div class="ipcht-chat-header ipcht-user-online">
				  			<h4 class="ipcht-chat-user-name">
			  					<span class="ipcht-name-text">Mohammad Arif</span>
			  				</h4>

				  			<div class="ipcht-chat-actions">
				  				<a href="#" class="ipcht-action-trigger">
				  					<i class="ipcht-fa ipcht-fa-cog"></i>
				  				</a>
				  				<ul class="ipcht-action-menu">
				  					<li>
				  						<a class="ipcht-action-clear" href="">Clear Conversation</a>
				  					</li>
				  					<li>
				  						<a class="ipcht-action-delete" href="">Delete Chat</a>
				  					</li>
				  				</ul>
				  			</div>
				  		</div>
				  		<!-- end: .ipcht-chat-area -->

				  		<!-- start: .ipcht-chat-area -->
				  		<div class="ipcht-chat-area">
				  		<div class="ipcht-chat-area-inner">
				  			<!-- start: .ipcht-chats-list -->
				  			<div class="ipcht-chats-list">
				  			</div>
				  			<!-- end: .ipcht-chats-list -->

								<div class="ipcht-chat-system-data" data-lastdate="<?php echo date( 'd-m-Y h:i:s' ); ?>"></div>
				  		</div>
				  		</div>
				  		<!-- end: .ipcht-chat-area -->

					  	<!-- start: .ipcht-chat-form-wrapper -->
				  		<div class="ipcht-chat-form-wrapper">
				  			<form id="ipcht-form-chat" action="" method="post">
									<div class="ipcht-form-fields">
										<div class="ipcht-form-field">
											<textarea id="ipcht-form-input-chat" class="ipcht-form-control" name="message" placeholder="<?php _e( 'Enter your message...', IPCHT_SLUG ); ?>"></textarea>
										</div>
									</div>
									<div class="ipcht-form-submit">
										<button type="submit" name="dosubmit" class="ipcht-btn-submit">
											<?php _e( 'Send', IPCHT_SLUG ); ?>
										</button>
									</div>

									<div class="ipcht-chat-data">
										<?php
										$system    = $this->systemConfig;
										$userName  = 'Mohammad Arif';
										$userChar  = substr( $userName, 0, 1 );
										$adminName = $system->getSetting( 'admin_name', get_option( 'blogname' ) );
										$adminChar = substr( $adminName, 0, 1 );
										$iconType  = $system->getSetting( 'user_photo_type', 'name' );

										$userPhoto  = '';
										if ( $photo = $system->getSetting( 'user_photo' ))
										{
											$data = wp_get_attachment_image_src( $photo );
									    if ( ! empty( $data[0] )) {
									      $userPhoto = $data[0];
									    }
									  }
										$adminPhoto = '';
										if ( $photo = $system->getSetting( 'admin_photo' ))
										{
											$data = wp_get_attachment_image_src( $photo );
									    if ( ! empty( $data[0] )) {
									      $adminPhoto = $data[0];
									    }
									  }
										?>
										<input type="hidden" class="ipcht-chat-data-user-name" name="user_name" value="<?php echo $userName; ?>">
										<input type="hidden" class="ipcht-chat-data-admin-name" name="admin_name" value="<?php echo $adminName; ?>">
										<input type="hidden" class="ipcht-chat-data-icon-type" name="icon_type" value="<?php echo $iconType; ?>">
										<input type="hidden" class="ipcht-chat-data-user-icon-text" name="user_icon_text" value="<?php echo $userChar; ?>">
										<input type="hidden" class="ipcht-chat-data-user-icon-url" name="user_icon_url" value="<?php echo $userPhoto; ?>">
										<input type="hidden" class="ipcht-chat-data-admin-icon-text" name="admin_icon_text" value="<?php echo $adminChar; ?>">
										<input type="hidden" class="ipcht-chat-data-admin-icon-url" name="admin_icon_url" value="<?php echo $adminPhoto; ?>">
										<input type="hidden" class="ipcht-chat-data-key" name="key" value="">
									</div>
								</form>

					  	</div>
					  	<!-- end: .ipcht-chat-form-wrapper -->

				  	</div>
				  	<!-- end: .ipcht-chat-content -->

				  	<div class="ipcht-chat-loader" style="display:none;">
					  	<div class="ipcht-loader">
					  		<i class="ipcht-fa ipcht-fa-spin ipcht-fa-spinner"></i>
					  	</div>
				  	</div>

				  </div>
				  <!-- end: .ipcht-chat-content -->
				</div>
				<!-- end: .ipcht-chat-content-inner -->

    	</div>
  	</div>
  	<!-- end: .container -->

	</div>
	<!-- end: .ipcht-form-inner -->
</div>
<!-- end: .ipcht-manage-chat -->