<?php
/**
 * Admin offline message manage view
 *
 * @package wp-chat-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<!-- start: .ipcht-offline-message -->
<div class="ipcht-offline-message">

	<!-- start: .ipcht-message-detail -->
	<div class="ipcht-message-detail">

		<!-- start: .ipcht-manage-wrap -->
		<div class="ipcht-manage-wrap ipcht-manage-sidebar">

				<!-- start: .container -->
				<div class="container-fluid container">

					<!-- start: .ipcht-manage-content -->
					<div class="ipcht-manage-content ipcht-form">

						<!-- start: .ipcht-fields -->
						<div class="ipcht-fields">

							<!-- start: .ipcht-detail-main -->
							<div class="ipcht-detail-main row">
								
								<!-- start: .col-sm-6 -->
								<div class="col-sm-6">
									
									<?php
									/*
									 * Name
									 */
									?>
									<!-- start: .ipcht-field-row -->
									<div class="ipcht-field-row ipcht-field-x">
										<div class="ipcht-form-label col-lg-3 col-md-4 col-sm-12">
											<label><?php _e( 'Name', IPCHT_SLUG ); ?></label>
										</div>

										<!-- start: .ipcht-field -->
										<div class="ipcht-field col-lg-9 col-md-8 col-sm-12">
											<?php echo $this->message->choff_user_name; ?>
										</div>
										<!-- end: .ipcht-field -->
									</div>
									<!-- end: .ipcht-field-row -->

									<?php
									/*
									 * Email
									 */
									?>
									<!-- start: .ipcht-field-row -->
									<div class="ipcht-field-row ipcht-field-x">
										<div class="ipcht-form-label col-lg-3 col-md-4 col-sm-12">
											<label><?php _e( 'Email', IPCHT_SLUG ); ?></label>
										</div>

										<!-- start: .ipcht-field -->
										<div class="ipcht-field col-lg-9 col-md-8 col-sm-12">
											<?php echo $this->message->choff_user_email; ?>
										</div>
										<!-- end: .ipcht-field -->
									</div>
									<!-- end: .ipcht-field-row -->

									<?php
									/*
									 * Phone Number
									 */
									?>
									<!-- start: .ipcht-field-row -->
									<div class="ipcht-field-row ipcht-field-x">
										<div class="ipcht-form-label col-lg-3 col-md-4 col-sm-12">
											<label><?php _e( 'Phone Number', IPCHT_SLUG ); ?></label>
										</div>

										<!-- start: .ipcht-field -->
										<div class="ipcht-field col-lg-9 col-md-8 col-sm-12">
											<?php echo $this->message->choff_user_phone; ?>
										</div>
										<!-- end: .ipcht-field -->
									</div>
									<!-- end: .ipcht-field-row -->

								</div>
								<div class="col-sm-6">
									
									<?php
									/*
									 * Sent Date
									 */
									?>
									<!-- start: .ipcht-field-row -->
									<div class="ipcht-field-row ipcht-field-x">
										<div class="ipcht-form-label col-lg-3 col-md-4 col-sm-12">
											<label><?php _e( 'Sent Date', IPCHT_SLUG ); ?></label>
										</div>

										<!-- start: .ipcht-field -->
										<div class="ipcht-field col-lg-9 col-md-8 col-sm-12">
											<?php echo mysql2date( 'd F Y, h:i:s', $this->message->choff_timestamp ); ?>
										</div>
										<!-- end: .ipcht-field -->
									</div>
									<!-- end: .ipcht-field-row -->

									<?php
									/*
									 * IP Address
									 */
									?>
									<!-- start: .ipcht-field-row -->
									<div class="ipcht-field-row ipcht-field-x">
										<div class="ipcht-form-label col-lg-3 col-md-4 col-sm-12">
											<label><?php _e( 'IP Address', IPCHT_SLUG ); ?></label>
										</div>

										<!-- start: .ipcht-field -->
										<div class="ipcht-field col-lg-9 col-md-8 col-sm-12">
											<?php echo $this->message->choff_ip; ?>
										</div>
										<!-- end: .ipcht-field -->
									</div>
									<!-- end: .ipcht-field-row -->

									<?php
									/*
									 * Status
									 */
									?>
									<!-- start: .ipcht-field-row -->
									<div class="ipcht-field-row ipcht-field-x">
										<div class="ipcht-form-label col-lg-3 col-md-4 col-sm-12">
											<label><?php _e( 'Status', IPCHT_SLUG ); ?></label>
										</div>

										<!-- start: .ipcht-field -->
										<div class="ipcht-field col-lg-9 col-md-8 col-sm-12">
											<?php 
											if ( $this->message->choff_status == 1 ) {
												_e( 'Read', IPCHT_SLUG ); 
											} else {
												_e( 'Unread', IPCHT_SLUG ); 
											}
											?>
										</div>
										<!-- end: .ipcht-field -->
									</div>
									<!-- end: .ipcht-field-row -->

								</div>
								<!-- end: .col-sm-6 -->

							</div>
							<!-- end: .ipcht-detail-main -->

							<!-- start: .ipcht-detail-message -->
							<div class="ipcht-detail-message">

								<?php
								/*
								 * Message
								 */
								?>
								<!-- start: .ipcht-field-row -->
								<div class="ipcht-field-row ipcht-field-y">
									<div class="ipcht-form-label">
										<label><?php _e( 'Message', IPCHT_SLUG ); ?></label>
									</div>

									<!-- start: .ipcht-field -->
									<div class="ipcht-field">
										<?php echo nl2br( $this->message->choff_message ); ?>
									</div>
									<!-- end: .ipcht-field -->
								</div>
								<!-- end: .ipcht-field-row -->

							</div>
							<!-- end: .ipcht-detail-message -->

						</div>
						<!-- end: .ipcht-fields -->

					</div>
					<!-- end: .ipcht-manage-content -->

				</div>
				<!-- end: .container -->

			</form>
			<!-- start: .ipcht-form -->

		</div>
		<!-- end: .ipcht-manage-wrap -->

	</div>
	<!-- end: .ipcht-message-detail -->

</div>
<!-- end: .ipcht-manage-offline-message -->