<?php
/**
 * Admin header view
 *
 * @package wp-chat-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div class="ipcht-top">
  <div class="ipcht-header">
    <div class="ipcht-page-title">
      <h4>
        <i class="dashicons-before dashicons-format-chat"></i>
        <span>
          <?php
          $title = IPCHT_TITLE;
          $words = explode( ' ', $title );
          $first = array_shift( $words );
          $title = implode( ' ', $words );
          ?>
          <strong><span><?php echo $first; ?></span> <?php echo $title; ?></strong>
          <em> <?php echo IPCHT_DESC; ?></em>
        </span>
      </h4>
    </div>
  </div>
  <div class="ipcht-nav">
    <ul>
    <?php
    $struct = $this->navStructure;
		$page   = $this->requestID;
    $title  = isset( $this->title ) ? $this->title : '';
    $info   = isset( $this->info ) ? $this->info : '';
    $icon   = isset( $this->icon ) ? $this->icon : '';
    if ( array_key_exists( $page, $struct ))
    {
      if ( empty( $title )) {
        $title = $struct[$page]['title'];
      }
      if ( empty( $info )) {
        $info  = $struct[$page]['info'];
      }
      if ( empty( $icon )) {
        $icon  = $struct[$page]['icon'];
      }
    }
    foreach( $struct as $name => $data )
    {
      $active = '';
      if ( $page == $name ) {
        $active = ' class="active"';
      }
      echo '<li' . $active . '>' .
              '<a href="admin.php?page=' . $name . '">' .
                  '<i class="dashicons-before dashicons-' . $data['icon'] . '"></i>' .
                  $data['title'] .
              '</a>' .
          '</li>';
    }
    ?>
    </ul>
  </div>
  <div class="ipcht-page-info">
    <i class="dashicons-before dashicons-<?php echo $icon; ?>"></i>
    <div class="ipcht-info">
      <h3><?php echo $title; ?></h3>
      <h4><?php echo $info; ?></h4>
    </div>
  </div>
</div>