<?php
/**
 * Admin user view
 *
 * @package wp-chat-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<!-- start: .ipcht-manage-user -->
<div class="ipcht-manage-user ipcht-manage-wrap ipcht-manage-sidebar">

	<!-- start: .ipcht-form-inner -->
	<div class="ipcht-form-inner">

		<!-- start: .container -->
  	<div class="container-fluid container">
    	<div class="ipcht-clear">

	    	<div class="ipcht-table-users">
	    		<table>
	    			<thead>
	    				<tr>
	    					<th>ID</th>
	    					<th>Name</th>
	    					<th>Email</th>
	    					<th>Phone</th>
	    					<th>Last Active</th>
	    				</tr>
	    			</thead>
	    			<tbody>
	    				<?php
	    				if ( ! empty( $this->users )) :
	    					foreach( $this->users as $user ):

	    						$modSession = new IPCht_Model_Session();
	    						$session    = $modSession->getNewSession( $user->user_id );
	    				?>

	    				<tr>
	    					<td><?php echo $user->user_id; ?></td>
	    					<td><?php echo $user->user_name; ?></td>
	    					<td><?php echo $user->user_email; ?></td>
	    					<td><?php echo $user->user_phone; ?></td>
	    					<td><?php echo mysql2date( 'd F Y, h:i', $session['sess_last_active_gmt'] ); ?></td>
	    				</tr>

	    				<?php
	    					endforeach;
	    				else :
	    				?>
	    				<tr>
	    					<td colspan="5"><?php _e( 'Data Not Available', IPCHT_SLUG ); ?></td>
	    				</tr>
	    				<?php
	    				endif;
	    				?>
	    			</tbody>
	    		</table>
	    	</div>

    	</div>
  	</div>
  	<!-- end: .container -->

	</div>
	<!-- end: .ipcht-form-inner -->
</div>
<!-- end: .ipcht-manage-user -->