<?php
/**
 * Widget header view
 *
 * @package wp-chat-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */
$config = $this->widgetConfig;
$radius = $config->getSetting( 'header_border_radius', 'none' );
?>

<!-- start: .ipcht-widget-header -->
<div class="ipcht-widget-header ipcht-radius-<?php echo $radius; ?>">
	<div class="ipcht-widget-header-inner">
		<div class="ipcht-widget-header-main">
			<h2 class="ipcht-widget-title">
				<?php echo stripslashes( $config->getSetting( 'header_text', 'Live Chat' )); ?>
			</h2>
			<div class="ipcht-header-actions">
				<span class="ipcht-action-minimize">
					<a href="" class="ipcht-action-link"><i class="ipcht-fa ipcht-fa-minus"></i></a>
				</span>
			</div>
		</div>
		<div class="ipcht-header-bg"></div>
	</div>
</div>
<!-- end: .ipcht-widget-header -->