<?php
/**
 * Widget main content view
 *
 * @package wp-chat-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */
$config = $this->widgetConfig;
$class  = 'ipcht-widget-main';
$class .= ' ipcht-input-radius-' . $config->getSetting( 'form_border_radius', 'none' );
$class .= ' ipcht-button-radius-' . $config->getSetting( 'form_button_border_radius', 'none' );

$dspChat = $dspOffline = $dspOnline = ' style="display:none;"';
if ( $this->isOffline() )
{
	$class 		 .= ' ipcht-widget-main-offline';
	$dspOffline = '';
}
else
{
	if ( $this->isLogin() )
	{
		$class   .= ' ipcht-widget-main-chat';
		$dspChat  = '';
	}
	else
	{
		$class    .= ' ipcht-widget-main-online';
		$dspOnline = '';
	}
}
?>

<!-- start: .ipcht-widget-main -->
<div class="<?php echo $class; ?>">
	<!-- start: .ipcht-widget-main-inner -->
	<div class="ipcht-widget-main-inner">

		<!-- start: .ipcht-widget-content -->
		<div class="ipcht-widget-content">

			<?php
			$this->view( 'front/widget/main-offline' );
			$this->view( 'front/widget/main-online' );
			$this->view( 'front/widget/main-chat' );
			?>

		</div>
		<!-- end: .ipcht-widget-content -->

		<div class="ipcht-main-loader" style="display:none;">
			<i class="ipcht-fa ipcht-fa-spin ipcht-fa-spinner"></i>
		</div>

	</div>
	<!-- end: .ipcht-widget-main-inner -->
</div>
<!-- end: .ipcht-widget-main -->