<?php
/**
 * Controller to handling updating widget process
 *
 * @package wp-chat-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPCht_Ajax_Update_widget' ))
{
	class IPCht_Ajax_Update_widget
	{
		/**
		 * Execution save options process
		 *
		 * @return void
		 */
		public function exec()
		{
      $error = false;
      $model = new IPCht_Model_Widget();
      $model->saveSettings();

      if ( $error ) {
          $status = 0;
          $msg    = __( 'Failed save widget settings.', IPCHT_SLUG );
      } else {
          $status = 1;
          $msg    = __( 'Successfully updated widget settings.', IPCHT_SLUG );
      }
      echo json_encode( array(
          'status'    => $status,
          'message'   => $msg
      ) );
      die();
		}
	}
}
