<?php
/**
 * Input fields view
 *
 * @package wp-chat-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>

<h4 class="ipcht-field-title mb0 py10">
  <?php _e( 'General', IPCHT_SLUG ); ?>
</h4>

<?php
//
//Field Text
$this->renderFieldText(array(
	'name'			 => 'input_name_label',
	'label'  	   	=> 'Input Name Label',
	'inputValue' => 'Name',
	'info'		   => 'Set the label of the input name.'
));

//
//Field Text
$this->renderFieldText(array(
	'name'			 => 'input_email_label',
	'label'  	   	=> 'Input Email Label',
	'inputValue' => 'Email',
	'info'		   => 'Set the label of the input email.'
));

//
//Field Text
$this->renderFieldText(array(
	'name'			 => 'input_phone_label',
	'label'  	   	=> 'Input Phone Label',
	'inputValue' => 'Phone',
	'info'		   => 'Set the label of the input phone.'
));

//
//Field Text
$this->renderFieldText(array(
	'name'			 => 'input_message_label',
	'label'  	   => 'Input Message Label',
	'inputValue' => 'Message',
	'info'		   => 'Set the label of the input message.'
));
?>


<h4 class="ipcht-field-title mb0 py10">
  <?php _e( 'Input Chat', IPCHT_SLUG ); ?>
</h4>

<?php 
//
//Field Text
$this->renderFieldText(array(
	'name'			 => 'input_chat_label',
	'label'  	   => 'Input Chat Placeholder',
	'inputValue' => 'Enter your message...',
	'info'		   => 'Set the label of the input chat.'
));
//
//Field Text
$this->renderFieldText(array(
	'name'			 => 'submit_chat_label',
	'label'  	   	=> 'Button Submit Label',
	'inputValue' => 'Send',
	'info'		   => 'Set the label of the button submit.'
));
?>

<h4 class="ipcht-field-title mb0 py10">
  <?php _e( 'Form Offline Message', IPCHT_SLUG ); ?>
</h4>

<?php
//
//Field Name
$this->renderFieldOnOff(array(
	'name'		  	=> 'form_offline_name',
	'label'  	   	=> 'Input Name',
	'info'		   	=> 'Determines whether to add full name input.',
	'inputValue'  => 'true',
));
//
//Field Phone Number
$this->renderFieldOnOff(array(
	'name'		  	=> 'form_offline_phone',
	'label'  	   	=> 'Input Phone',
	'info'		   	=> 'Determines whether to add phone number input.',
	'inputValue'  => 'true',
));
//
//Field Text
$this->renderFieldText(array(
	'name'			 => 'submit_offline_label',
	'label'  	   	=> 'Button Submit Label',
	'inputValue' => 'Send',
	'info'		   => 'Set the label of the button submit.'
));
?>

<h4 class="ipcht-field-title mb0 py10">
  <?php _e( 'Form Register', IPCHT_SLUG ); ?>
</h4>

<?php
//
//Field Name
$this->renderFieldOnOff(array(
	'name'		  	=> 'form_register_name',
	'label'  	   	=> 'Input Name',
	'info'		   	=> 'Determines whether to add full name input.',
	'inputValue'  => 'true',
));
//
//Field Phone Number
$this->renderFieldOnOff(array(
	'name'		  	=> 'form_register_phone',
	'label'  	   	=> 'Input Phone',
	'info'		   	=> 'Determines whether to add phone number input.',
	'inputValue'  => 'false',
));
//
//Field Text
$this->renderFieldText(array(
	'name'			 => 'submit_register_label',
	'label'  	   	=> 'Button Submit Label',
	'inputValue' => 'Start Chat',
	'info'		   => 'Set the label of the button submit.'
));
?>