<?php
/**
 * Widget fields view
 *
 * @package wp-chat-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */

//
//Admin Name
$this->renderFieldText(array(
	'name'			 => 'admin_name',
	'label' 		 => 'Admin Name',
	'inputValue' => get_option( 'blogname' ),
	'info'		   => 'Set the name of the chat administrator.'
));

//
//Admin Photo
$this->renderFieldImage(array(
	'name'			 => 'admin_photo',
	'label' 		 => 'Admin Photo',
	'info'		   => 'Set the admin photo that displaying in chat widget.'
));

//
//User Photo Type
$options = array(
	'name'		=> 'First Name Alphabet',
	'photo'		=> 'Default User Photo',
	'circle'	=> 'Random Coloring Circle'
);
$this->renderFieldSelect(array(
	'name'			 	 => 'user_photo_type',
	'label' 		 	 => 'User Photo Type',
	'inputOptions' => $options,
	'inputValue'   => 'name',
	'info'		   	 => 'Set the type of the user photo that displaying in chat widget.'
));

//
//Default User Photo
$this->renderFieldImage(array(
	'name'			 => 'user_photo',
	'label' 		 => 'Default User Photo',
	'info'		   => 'Set the user photo that displaying in chat widget.'
));