<?php
/**
 * Header fields view
 *
 * @package wp-chat-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */

//
//Field Bg Color
$this->renderFieldColor(array(
	'name'			 		=> 'chat_background_color',
	'label' 		 		=> 'Background Color',
	'info'		   	  => 'Set background color of the chat bubble.',
	'color_default' => '#eeeeee'
));

//
//Field Border
$this->renderFieldBorder(array(
	'name'			 		=> 'chat',
	'color_default' => '#cccccc',
	'info'		   	  => 'Add border on the chat bubble.'
));

//
//Field Border radius
$options = array(
  'none' => __( 'None', IPCHT_SLUG ),
  'xs'   => __( 'Extra Small', IPCHT_SLUG ),
  'sm'   => __( 'Small', IPCHT_SLUG ),
  'md'   => __( 'Medium', IPCHT_SLUG ),
  'lg'   => __( 'Large', IPCHT_SLUG )
);
$this->renderFieldSelect(array(
	'name'		  	=> 'chat_border_radius',
	'label'  	   	=> 'Border Radius',
	'info'		   	=> 'Add radius on the chat bubble.',
	'inputValue'  => 'none',
	'inputOptions'  => $options
));

//
//Field Text Color
$this->renderFieldColor(array(
	'name'			 => 'chat_text_color',
	'label'  	   => 'Text Color',
	'info'		   => 'Set the color of the text in chat bubble.',
	'inputValue' => '#333333'
));

//
//Field Font Size
$this->renderFieldSize(array(
	'name'		  	=> 'chat_font_size',
	'label'  	   	=> 'Font Size',
	'info'		    => 'Set the font size of the text in chat bubble.',
	'inputValue'  => '16'
));

//
//Field Font Family
$this->renderFieldFontFamily(array(
	'name'			 => 'chat_font_family',
	'label'  	   => 'Font Family',
	'info'		   => 'Set the font type of the text in chat bubble.'
));

//
//Field Shadow
$this->renderFieldOnOff(array(
	'name'			 => 'chat_shadow',
	'label'  	   => 'Shadow',
	'info'		   => 'Determines whether to add a shadow effect on the chat bubble.',
	'inputValue'  => 'false',
));

//
//Field Arrow
$this->renderFieldOnOff(array(
	'name'			 => 'chat_arrow',
	'label'  	   => 'Arrow',
	'info'		   => 'Determines whether to add arrow on the chat bubble.',
	'inputValue'  => 'true',
));

//
//Field Photo
$this->renderFieldOnOff(array(
	'name'			 => 'chat_photo',
	'label'  	   => 'User Photo',
	'info'		   => 'Determines whether to show user photo on the chat bubble.',
	'inputValue'  => 'true',
));
?>